# Generated by Django 2.1a1 on 2018-05-23 15:37

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AuthGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, unique=True)),
            ],
            options={
                'db_table': 'auth_group',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroupPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_group_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('codename', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'auth_permission',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
                ('is_superuser', models.IntegerField()),
                ('username', models.CharField(max_length=150, unique=True)),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=150)),
                ('email', models.CharField(max_length=254)),
                ('is_staff', models.IntegerField()),
                ('is_active', models.IntegerField()),
                ('date_joined', models.DateTimeField()),
            ],
            options={
                'db_table': 'auth_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserGroups',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_groups',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserUserPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_user_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundAlternateParents',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'compound_alternate_parents',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundExternalDescriptors',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('external_id', models.CharField(blank=True, max_length=255, null=True)),
                ('annotations', models.CharField(blank=True, max_length=255, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'compound_external_descriptors',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Compounds',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('type', models.CharField(max_length=255)),
                ('public_id', models.CharField(max_length=9, unique=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('export', models.IntegerField(blank=True, null=True)),
                ('state', models.CharField(blank=True, max_length=255, null=True)),
                ('annotation_quality', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('cas_number', models.CharField(blank=True, max_length=255, null=True)),
                ('melting_point', models.TextField(blank=True, null=True)),
                ('protein_formula', models.CharField(blank=True, max_length=255, null=True)),
                ('protein_weight', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_solubility', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_logp', models.CharField(blank=True, max_length=255, null=True)),
                ('hydrophobicity', models.CharField(blank=True, max_length=255, null=True)),
                ('isoelectric_point', models.CharField(blank=True, max_length=255, null=True)),
                ('metabolism', models.TextField(blank=True, null=True)),
                ('kegg_compound_id', models.CharField(blank=True, max_length=255, null=True)),
                ('pubchem_compound_id', models.CharField(blank=True, max_length=255, null=True)),
                ('pubchem_substance_id', models.CharField(blank=True, max_length=255, null=True)),
                ('chebi_id', models.CharField(blank=True, max_length=255, null=True)),
                ('het_id', models.CharField(blank=True, max_length=255, null=True)),
                ('uniprot_id', models.CharField(blank=True, max_length=255, null=True)),
                ('uniprot_name', models.CharField(blank=True, max_length=255, null=True)),
                ('genbank_id', models.CharField(blank=True, max_length=255, null=True)),
                ('wikipedia_id', models.CharField(blank=True, max_length=255, null=True)),
                ('synthesis_citations', models.TextField(blank=True, null=True)),
                ('general_citations', models.TextField(blank=True, null=True)),
                ('comments', models.TextField(blank=True, null=True)),
                ('protein_structure_file_name', models.CharField(blank=True, max_length=255, null=True)),
                ('protein_structure_content_type', models.CharField(blank=True, max_length=255, null=True)),
                ('protein_structure_file_size', models.IntegerField(blank=True, null=True)),
                ('protein_structure_updated_at', models.DateTimeField(blank=True, null=True)),
                ('msds_file_name', models.CharField(blank=True, max_length=255, null=True)),
                ('msds_content_type', models.CharField(blank=True, max_length=255, null=True)),
                ('msds_file_size', models.IntegerField(blank=True, null=True)),
                ('msds_updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('phenolexplorer_id', models.IntegerField(blank=True, null=True)),
                ('dfc_id', models.CharField(blank=True, max_length=255, null=True)),
                ('hmdb_id', models.CharField(blank=True, max_length=255, null=True)),
                ('duke_id', models.CharField(blank=True, max_length=255, null=True)),
                ('drugbank_id', models.CharField(blank=True, max_length=255, null=True)),
                ('bigg_id', models.IntegerField(blank=True, null=True)),
                ('eafus_id', models.CharField(blank=True, max_length=255, null=True)),
                ('knapsack_id', models.CharField(blank=True, max_length=255, null=True)),
                ('boiling_point', models.CharField(blank=True, max_length=255, null=True)),
                ('boiling_point_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('charge', models.CharField(blank=True, max_length=255, null=True)),
                ('charge_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('density', models.CharField(blank=True, max_length=255, null=True)),
                ('density_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('optical_rotation', models.CharField(blank=True, max_length=255, null=True)),
                ('optical_rotation_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('percent_composition', models.CharField(blank=True, max_length=255, null=True)),
                ('percent_composition_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('physical_description', models.TextField(blank=True, null=True)),
                ('physical_description_reference', models.TextField(blank=True, null=True)),
                ('refractive_index', models.CharField(blank=True, max_length=255, null=True)),
                ('refractive_index_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('uv_index', models.CharField(blank=True, max_length=255, null=True)),
                ('uv_index_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_pka', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_pka_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_solubility_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_logp_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('hydrophobicity_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('isoelectric_point_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('melting_point_reference', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_alogps_logp', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_logp', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_alogps_logs', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_smiles', models.TextField(blank=True, null=True)),
                ('moldb_pka', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_formula', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_average_mass', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_inchi', models.TextField(blank=True, null=True)),
                ('moldb_mono_mass', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_inchikey', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_alogps_solubility', models.CharField(blank=True, max_length=255, null=True)),
                ('moldb_id', models.IntegerField(blank=True, null=True)),
                ('moldb_iupac', models.TextField(blank=True, null=True)),
                ('structure_source', models.CharField(blank=True, max_length=255, null=True)),
                ('duplicate_id', models.CharField(blank=True, max_length=255, null=True)),
                ('old_dfc_id', models.CharField(blank=True, max_length=255, null=True)),
                ('dfc_name', models.TextField(blank=True, null=True)),
                ('compound_source', models.CharField(blank=True, max_length=255, null=True)),
                ('flavornet_id', models.CharField(blank=True, max_length=255, null=True)),
                ('goodscent_id', models.CharField(blank=True, max_length=255, null=True)),
                ('superscent_id', models.CharField(blank=True, max_length=255, null=True)),
                ('phenolexplorer_metabolite_id', models.IntegerField(blank=True, null=True)),
                ('kingdom', models.CharField(blank=True, max_length=255, null=True)),
                ('superklass', models.CharField(blank=True, max_length=255, null=True)),
                ('klass', models.CharField(blank=True, max_length=255, null=True)),
                ('subklass', models.CharField(blank=True, max_length=255, null=True)),
                ('direct_parent', models.CharField(blank=True, max_length=255, null=True)),
                ('molecular_framework', models.CharField(blank=True, max_length=255, null=True)),
                ('chembl_id', models.CharField(blank=True, max_length=255, null=True)),
                ('chemspider_id', models.CharField(blank=True, max_length=255, null=True)),
                ('meta_cyc_id', models.CharField(blank=True, max_length=255, null=True)),
                ('foodcomex', models.IntegerField(blank=True, null=True)),
                ('phytohub_id', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'compounds',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundsEnzymes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_id', models.IntegerField()),
                ('enzyme_id', models.IntegerField()),
                ('citations', models.TextField()),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'compounds_enzymes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundsFlavors',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_id', models.IntegerField()),
                ('flavor_id', models.IntegerField()),
                ('citations', models.TextField()),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('source_id', models.IntegerField(blank=True, null=True)),
                ('source_type', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'compounds_flavors',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundsHealthEffects',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_id', models.IntegerField()),
                ('health_effect_id', models.IntegerField()),
                ('orig_health_effect_name', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_compound_name', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_citation', models.TextField(blank=True, null=True)),
                ('citation', models.TextField()),
                ('citation_type', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('source_id', models.IntegerField(blank=True, null=True)),
                ('source_type', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'compounds_health_effects',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundsPathways',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'compounds_pathways',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundSubstituents',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'compound_substituents',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CompoundSynonyms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('synonym', models.CharField(max_length=255, unique=True)),
                ('synonym_source', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('source_id', models.IntegerField(blank=True, null=True)),
                ('source_type', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'compound_synonyms',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Contents',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source_id', models.IntegerField(blank=True, null=True)),
                ('source_type', models.CharField(blank=True, max_length=255, null=True)),
                ('food_id', models.IntegerField()),
                ('orig_food_id', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_food_common_name', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_food_scientific_name', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_food_part', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_source_id', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_source_name', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_content', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
                ('orig_min', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
                ('orig_max', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
                ('orig_unit', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_citation', models.TextField(blank=True, null=True)),
                ('citation', models.TextField()),
                ('citation_type', models.CharField(max_length=255)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('orig_method', models.CharField(blank=True, max_length=255, null=True)),
                ('orig_unit_expression', models.CharField(blank=True, max_length=255, null=True)),
                ('standard_content', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
            ],
            options={
                'db_table': 'contents',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoAdminLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('object_id', models.TextField(blank=True, null=True)),
                ('object_repr', models.CharField(max_length=200)),
                ('action_flag', models.PositiveSmallIntegerField()),
                ('change_message', models.TextField()),
            ],
            options={
                'db_table': 'django_admin_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoContentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_label', models.CharField(max_length=100)),
                ('model', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'django_content_type',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoMigrations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('applied', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_migrations',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False)),
                ('session_data', models.TextField()),
                ('expire_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Enzymes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('gene_name', models.CharField(blank=True, max_length=255, null=True, unique=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('go_classification', models.TextField(blank=True, null=True)),
                ('general_function', models.TextField(blank=True, null=True)),
                ('specific_function', models.TextField(blank=True, null=True)),
                ('pathway', models.TextField(blank=True, null=True)),
                ('reaction', models.TextField(blank=True, null=True)),
                ('cellular_location', models.CharField(blank=True, max_length=255, null=True)),
                ('signals', models.TextField(blank=True, null=True)),
                ('transmembrane_regions', models.TextField(blank=True, null=True)),
                ('molecular_weight', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
                ('theoretical_pi', models.DecimalField(blank=True, decimal_places=9, max_digits=15, null=True)),
                ('locus', models.CharField(blank=True, max_length=255, null=True)),
                ('chromosome', models.CharField(blank=True, max_length=255, null=True)),
                ('uniprot_name', models.CharField(blank=True, max_length=255, null=True, unique=True)),
                ('uniprot_id', models.CharField(blank=True, max_length=100, null=True, unique=True)),
                ('pdb_id', models.CharField(blank=True, max_length=10, null=True, unique=True)),
                ('genbank_protein_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('genbank_gene_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('genecard_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('genatlas_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('hgnc_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('hprd_id', models.CharField(blank=True, max_length=255, null=True, unique=True)),
                ('organism', models.CharField(blank=True, max_length=255, null=True)),
                ('general_citations', models.TextField(blank=True, null=True)),
                ('comments', models.TextField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'enzymes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Flavors',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('flavor_group', models.CharField(blank=True, max_length=255, null=True)),
                ('category', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'flavors',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FoodcomexCompoundProviders',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foodcomex_compound_id', models.IntegerField()),
                ('provider_id', models.IntegerField()),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'foodcomex_compound_providers',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FoodcomexCompounds',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_id', models.IntegerField()),
                ('origin', models.CharField(blank=True, max_length=255, null=True)),
                ('storage_form', models.CharField(blank=True, max_length=255, null=True)),
                ('maximum_quantity', models.CharField(blank=True, max_length=255, null=True)),
                ('storage_condition', models.CharField(blank=True, max_length=255, null=True)),
                ('contact_name', models.CharField(blank=True, max_length=255, null=True)),
                ('contact_address', models.TextField(blank=True, null=True)),
                ('contact_email', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
                ('export', models.IntegerField(blank=True, null=True)),
                ('purity', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('spectra_details', models.CharField(blank=True, max_length=255, null=True)),
                ('delivery_time', models.CharField(blank=True, max_length=255, null=True)),
                ('stability', models.CharField(blank=True, max_length=255, null=True)),
                ('admin_user_id', models.IntegerField(blank=True, null=True)),
                ('public_id', models.CharField(max_length=255)),
                ('cas_number', models.CharField(blank=True, max_length=255, null=True)),
                ('taxonomy_class', models.CharField(blank=True, max_length=255, null=True)),
                ('taxonomy_family', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_logp', models.CharField(blank=True, max_length=255, null=True)),
                ('experimental_solubility', models.CharField(blank=True, max_length=255, null=True)),
                ('melting_point', models.CharField(blank=True, max_length=255, null=True)),
                ('food_of_origin', models.CharField(blank=True, max_length=255, null=True)),
                ('production_method_reference_text', models.TextField(blank=True, null=True)),
                ('production_method_reference_file_name', models.CharField(blank=True, max_length=255, null=True)),
                ('production_method_reference_content_type', models.CharField(blank=True, max_length=255, null=True)),
                ('production_method_reference_file_size', models.IntegerField(blank=True, null=True)),
                ('production_method_reference_updated_at', models.DateTimeField(blank=True, null=True)),
                ('elemental_formula', models.CharField(blank=True, max_length=255, null=True)),
                ('minimum_quantity', models.CharField(blank=True, max_length=255, null=True)),
                ('quantity_units', models.CharField(blank=True, max_length=255, null=True)),
                ('available_spectra', models.TextField(blank=True, null=True)),
                ('storage_conditions', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'foodcomex_compounds',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Foods',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('name_scientific', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('itis_id', models.CharField(blank=True, max_length=255, null=True)),
                ('wikipedia_id', models.CharField(blank=True, max_length=255, null=True)),
                ('picture_file_name', models.CharField(blank=True, max_length=255, null=True)),
                ('picture_content_type', models.CharField(blank=True, max_length=255, null=True)),
                ('picture_file_size', models.IntegerField(blank=True, null=True)),
                ('picture_updated_at', models.DateTimeField(blank=True, null=True)),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('food_group', models.CharField(blank=True, max_length=255, null=True)),
                ('food_subgroup', models.CharField(blank=True, max_length=255, null=True)),
                ('food_type', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('export_to_afcdb', models.IntegerField()),
                ('category', models.CharField(blank=True, max_length=255, null=True)),
                ('ncbi_taxonomy_id', models.IntegerField(blank=True, null=True)),
                ('export_to_foodb', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'foods',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FoodTaxonomies',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('food_id', models.IntegerField(blank=True, null=True)),
                ('ncbi_taxonomy_id', models.IntegerField(blank=True, null=True)),
                ('classification_name', models.CharField(blank=True, max_length=255, null=True)),
                ('classification_order', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'food_taxonomies',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='HealthEffects',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('chebi_name', models.CharField(blank=True, max_length=255, null=True)),
                ('chebi_id', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('chebi_definition', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'health_effects',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Nutrients',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('type', models.CharField(max_length=255)),
                ('public_id', models.CharField(max_length=9, unique=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('export', models.IntegerField(blank=True, null=True)),
                ('state', models.CharField(blank=True, max_length=255, null=True)),
                ('annotation_quality', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('wikipedia_id', models.CharField(blank=True, max_length=255, null=True)),
                ('comments', models.TextField(blank=True, null=True)),
                ('dfc_id', models.CharField(blank=True, max_length=255, null=True)),
                ('duke_id', models.CharField(blank=True, max_length=255, null=True)),
                ('eafus_id', models.CharField(blank=True, max_length=255, null=True)),
                ('dfc_name', models.TextField(blank=True, null=True)),
                ('compound_source', models.CharField(blank=True, max_length=255, null=True)),
                ('metabolism', models.TextField(blank=True, null=True)),
                ('synthesis_citations', models.TextField(blank=True, null=True)),
                ('general_citations', models.TextField(blank=True, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'nutrients',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pathways',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('smpdb_id', models.CharField(blank=True, max_length=255, null=True)),
                ('kegg_map_id', models.CharField(blank=True, max_length=255, null=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField(blank=True, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'pathways',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='References',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref_type', models.CharField(blank=True, max_length=255, null=True)),
                ('text', models.TextField(blank=True, null=True)),
                ('pubmed_id', models.CharField(blank=True, max_length=255, null=True)),
                ('link', models.CharField(blank=True, max_length=255, null=True)),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('creator_id', models.IntegerField(blank=True, null=True)),
                ('updater_id', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField()),
                ('source_id', models.IntegerField(blank=True, null=True)),
                ('source_type', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'references',
                'managed': False,
            },
        ),
    ]
